Balances and Positions

Futures Balances and Positions, provided as incremental ppdates

This event is pushed when account information changes, or when fund balances change.

Balance Action Reasons

The reason for the event is indicated by the balanceAction field.

  • DEPOSIT
  • WITHDRAW_FREEZE
  • WITHDRAW_CONFIRM
  • WITHDRAW_CANCEL
  • WITHDRAW_DIRECT
  • FUNDING_FEE
  • MARGIN_TRANSFER
  • INSURANCE_CLEAR
  • ORDER
  • ADMIN_TRANSFER
  • OVERRIDE

Response Example

sequenceNum is an incrementing sequence number.

{
  "eventType": "account",
  "eventTime": 1778682329976,
  "tradingTime": 1778682329980,
  "action": "update",
  "accountUpdateEvent": {
    "balanceAction": "ORDER",
    "balances": [
      {
        "sequenceNum": 4749977701,
        // Asset
        "asset": "USDC",
        // Wallet balance
        "accountBalance": "34.0901100907",
        // Change
        "change": "-0.0033582",
        // Version number
        "version": 454
      }
    ],
    "positions": [
      {
        "sequenceNum": 4749977701,
        // Trading pair
        "symbol": "BNBUSDC",
        // Position quantity
        "quantity": "0.01",
        // Average entry price
        "avgEntryPrice": "671.64",
        // Realised PnL
        "curTermRealisedPnl": "-0.0033582",
        // ISOLATED, CROSSED
        "marginType": "CROSSED",
        // Quote asset
        "quoteToken": "USDC",
        // Isolated margin
        "isolatedMargin": "0",
        // Position mode: BOTH (0), LONG (1), SHORT (2)
        "positionSide": "BOTH",
        // Version number
        "version": 1,
        // Update time
        "updateTime": 1778682329961
      }
    ]
  }
}